Subject: Re: [PATCH 2/2] submodule: Add 'quiet' option in subcommand 'set-branch'

From: Denton Liu <[email-masked]>
Date: Sat, 16 May 2020 04:56:42 -0400

On Sat, May 16, 2020 at 11:20:16AM +0530, Shourya Shukla wrote:
> On 14/05 06:15, Denton Liu wrote:
> > Hi Shourya,
> > 
> > I'm not really sure if we should have this patch at all since I don't
> > think that set-branch should be printing anything at all.
> 
> I thought that the Documentation has the mention of the `quiet` and it
> wouldn't harm printing something when the branch is set. Is this not the
> right way to tackle this?

I would argue that it's unnecessary to print anything. If a user
provides an invalid option, then an error message will be printed. If no
error is provided, then a user would assume that the command succeeded.
Take, for example, `git submodule set-url` which behaves similarly. It's
silent on success. Printing on success would just be noise.